Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core
Class DiscoveryGroupConfiguration

    java.lang.Object
      org.hornetq.api.core.DiscoveryGroupConfiguration

All Implemented Interfaces:
  Serializable

    public class DiscoveryGroupConfiguration

extends Object
implements Serializable

A DiscoveryGroupConfiguration

Author:
  Tim Fox Created 18 Nov 2008 08:47:30
See Also:
  Serialized Form

Constructor Summary
`DiscoveryGroupConfiguration(String groupAddress, int groupPort)`
`DiscoveryGroupConfiguration(String name, String localBindAddress, String groupAddress, int groupPort, long refreshTimeout, long discoveryInitialWaitTimeout)`

Method Summary
`boolean` | `equals(Object o)`
`long` | `getDiscoveryInitialWaitTimeout()`
`String` | `getGroupAddress()`
`int` | `getGroupPort()`
`String` | `getLocalBindAddress()`
`String` | `getName()`
`long` | `getRefreshTimeout()`
`int` | `hashCode()`
`void` | `setDiscoveryInitialWaitTimeout(long discoveryInitialWaitTimeout)`
`void` | `setGroupAddress(String groupAddress)`
`void` | `setGroupPort(int groupPort)`
`void` | `setLocalBindAdress(String localBindAddress)`
`void` | `setName(String name)`
`void` | `setRefreshTimeout(long refreshTimeout)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscoveryGroupConfiguration

    public DiscoveryGroupConfiguration(String name,
                                       String localBindAddress,
                                       String groupAddress,
                                       int groupPort,
                                       long refreshTimeout,
                                       long discoveryInitialWaitTimeout)

### DiscoveryGroupConfiguration

    public DiscoveryGroupConfiguration(String groupAddress,
                                       int groupPort)

Method Detail

### getName

    public String getName()

### getLocalBindAddress

    public String getLocalBindAddress()

### getGroupAddress

    public String getGroupAddress()

### getGroupPort

    public int getGroupPort()

### getRefreshTimeout

    public long getRefreshTimeout()

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### setLocalBindAdress

    public void setLocalBindAdress(String localBindAddress)

  Parameters:
    `localBindAddress` - the localBindAddress to set

### setGroupAddress

    public void setGroupAddress(String groupAddress)

  Parameters:
    `groupAddress` - the groupAddress to set

### setGroupPort

    public void setGroupPort(int groupPort)

  Parameters:
    `groupPort` - the groupPort to set

### setRefreshTimeout

    public void setRefreshTimeout(long refreshTimeout)

  Parameters:
    `refreshTimeout` - the refreshTimeout to set

### getDiscoveryInitialWaitTimeout

    public long getDiscoveryInitialWaitTimeout()

  Returns:
    the discoveryInitialWaitTimeout

### setDiscoveryInitialWaitTimeout

    public void setDiscoveryInitialWaitTimeout(long discoveryInitialWaitTimeout)

  Parameters:
    `discoveryInitialWaitTimeout` - the discoveryInitialWaitTimeout to set

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.